> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Transition a security object to Destroyed state. Objects in the
`Destroyed` state cannot be used in any cryptographic operation.
Their metadata however, remains accessible.

> Transition a security object to Destroyed state. Objects in the
`Destroyed` state cannot be used in any cryptographic operation.
Their metadata however, remains accessible.

## OpenAPI

````json POST /crypto/v1/keys/{key_id}/destroy
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/crypto/v1/keys/{key_id}/destroy": {
      "post": {
        "operationId": "DestroySobject",
        "tags": [
          "Keys"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Transition a security object to Destroyed state. Objects in the\n`Destroyed` state cannot be used in any cryptographic operation.\nTheir metadata however, remains accessible.",
        "description": "Transition a security object to Destroyed state. Objects in the\n`Destroyed` state cannot be used in any cryptographic operation.\nTheir metadata however, remains accessible.",
        "parameters": [
          {
            "name": "key_id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "Nothing is returned on success"
          }
        }
      }
    }
  }
}
````

